import { declare } from '@babel/helper-plugin-utils';

var index = declare((api, {
  deprecatedAssertSyntax
}) => {
  api.assertVersion("^7.22.0");
  if (deprecatedAssertSyntax != null && typeof deprecatedAssertSyntax !== "boolean") {
    throw new Error("'deprecatedAssertSyntax' must be a boolean, if specified.");
  }
  return {
    name: "syntax-import-attributes",
    manipulateOptions({
      parserOpts,
      generatorOpts
    }) {
      generatorOpts.importAttributesKeyword ??= "with";
      parserOpts.plugins.push(["importAttributes", {
        deprecatedAssertSyntax: Boolean(deprecatedAssertSyntax)
      }]);
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
